#ifndef __stopwatch_h__
	#define __stopwatch_h__

#include "shared.h"

namespace Gx
{
	class GXFRAMEWORK_DECLSPEC Stopwatch
	{
	public:
		Stopwatch();

		// in seconds
		long double getTime();
		long double getElapsedTime();

		long double getMiliTime();
		long double getElapsedMiliTime();

		void reset();

	private:
		long long m_frequency;
		long long m_prevCounter;
		long long m_startCounter;
	};
}

#endif // ~__stopwatch_h__
